Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation
Class AggregateHandle

    java.lang.Object
      rice.p2p.aggregation.AggregateHandle

All Implemented Interfaces:
  java.io.Serializable, GCPastContentHandle, RawGCPastContentHandle, PastContentHandle, RawPastContentHandle

    public class AggregateHandle

extends java.lang.Object
implements RawGCPastContentHandle

See Also:
  Serialized Form

Field Summary
`protected long` | `expiration`
`protected NodeHandle` | `handle`
`protected Id` | `id`
`static short` | `TYPE`
`protected long` | `version`

Constructor Summary
`AggregateHandle(InputBuffer buf, Endpoint endpoint)`
`AggregateHandle(NodeHandle handle, Id id, long version, long expiration)`

Method Summary
`long` | `getExpiration()` Returns the current expiration time of this object.
`Id` | `getId()` get the id of the PastContent object associated with this handle
`NodeHandle` | `getNodeHandle()` get the NodeHandle of the Past node on which the object associated with this handle is stored
`short` | `getType()`
`long` | `getVersion()` Returns the version number associated with this PastContentHandle - version numbers are designed to be monotonically increasing numbers which signify different versions of the same object.
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### id

    protected Id id

### handle

    protected NodeHandle handle

### version

    protected long version

### expiration

    protected long expiration

Constructor Detail

### AggregateHandle

    public AggregateHandle(NodeHandle handle,
                           Id id,
                           long version,
                           long expiration)

### AggregateHandle

    public AggregateHandle(InputBuffer buf,
                           Endpoint endpoint)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getId

    public Id getId()

  Description copied from interface: `PastContentHandle`
  get the id of the PastContent object associated with this handle

  Specified by:
    `getId` in interface `PastContentHandle`
  Returns:
    the id

### getNodeHandle

    public NodeHandle getNodeHandle()

  Description copied from interface: `PastContentHandle`
  get the NodeHandle of the Past node on which the object associated with this handle is stored

  Specified by:
    `getNodeHandle` in interface `PastContentHandle`
  Returns:
    the id

### getVersion

    public long getVersion()

  Description copied from interface: `GCPastContentHandle`
  Returns the version number associated with this PastContentHandle - version numbers are designed to be monotonically increasing numbers which signify different versions of the same object.

  Specified by:
    `getVersion` in interface `GCPastContentHandle`
  Returns:
    The version number of this object

### getExpiration

    public long getExpiration()

  Description copied from interface: `GCPastContentHandle`
  Returns the current expiration time of this object.

  Specified by:
    `getExpiration` in interface `GCPastContentHandle`
  Returns:
    The current expiration time of this object

### getType

    public short getType()

  Specified by:
    `getType` in interface `RawPastContentHandle`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawPastContentHandle`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.